Supported Hardware for NI-Embedded CAN for RIO

Aperçu

This document lists all supported hardware for NI-Embedded CAN for RIO.

The NI-Embedded CAN for RIO software supports the following National Instruments hardware products:

  • Onboard CAN interfaces of Single-Board RIO-9605/9606 — NI-RIO 4.0 or later and LabVIEW 2011 or later required.
     

NI sbRIO-9605
NI sbRIO-9606

  • Onboard CAN interfaces of Single-Board RIO-9623/9626/9633/9636 — NI-RIO 12.0 or later and LabVIEW 2012 or later required.
     

NI sbRIO-9623
NI sbRIO-9626
NI sbRIO-9633
NI sbRIO-9636

  • NI sbRIO-9651 System on Module (SOM) Development Kit — NI-RIO 14.0 or later and LabVIEW 2014 or later required.
     

NI sbRIO-9651 System on Module Development Kit

  • NI roboRIO - NI-RIO 14.0 or later and LabVIEW 2014 or later required.
     
  • Onboard CAN interfaces of Single-Board RIO-9607/9627/9637 — NI-RIO 15.0 or later and LabVIEW 2015 or later required.
     

NI sbRIO-9607
NI sbRIO-9627
NI sbRIO-9637

The NI-Embedded CAN for RIO software supports a partial list of the Single-Board RIO hardware. Refer to Single-Board RIO - National Instruments for a full list of the Single-Board RIO hardware.